import { r as registerInstance, h, H as Host } from './index-94a3b2a3.js';
import './index-416d4a06.js';
import { b as runSet } from './runStore-fd80abca.js';

const Init = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.router = null;
  }
  async componentWillLoad() {
    if (!this.router)
      return;
    runSet("router", this.router);
  }
  newRouter(newval) {
    runSet("router", newval);
  }
  render() {
    return (h(Host, null, h("slot", null)));
  }
  static get watchers() { return {
    "router": ["newRouter"]
  }; }
};

export { Init as corejam_init };
